Get project reimport status
Poll the status of an asynchronous project reimport operation.
Usage:
- When you POST to reimport tasks, you’ll receive a response with a reimport ID
- Use that
reimport_idwith this GET endpoint to check the reimport status - Poll this endpoint to see if the reimport has completed, is still processing, or has failed
- Reimport errors and failures will only be visible in this GET response, not in the original POST request
This endpoint returns detailed information about the reimport including task counts, status, and any error messages.
While a reimport is running, task_count / annotation / prediction counts update as batches commit.
Counts are cumulative so far; there is no expected total, so percent-complete / ETA is not available from this API.
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:
curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”Path parameters
id
A unique integer value identifying this project.
reimport_pk
A unique integer value identifying this project reimport.
Response
created_at
Creation time
id
annotation_count
data_columns
duration
error
file_upload_ids
files_as_tasks_list
finished_at
Complete or fail time
found_formats
prediction_count
project
status
created- Createdin_progress- In progressfailed- Failedcompleted- Completed
Allowed values:
task_count
updated_at
Last time reimport progress or terminal status was updated